summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msguniq-6
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/msguniq-6')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/msguniq-614
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/msguniq-6 b/gettext-tools/tests/msguniq-6
index 3fabbba..51a1220 100755..100644
--- a/gettext-tools/tests/msguniq-6
+++ b/gettext-tools/tests/msguniq-6
@@ -3,10 +3,6 @@
# Test msguniq on PO file with previous msgids.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles msguniq-6.in"
cat <<\EOF > msguniq-6.in
msgid ""
msgstr ""
@@ -70,14 +66,10 @@ msgid "%s: option requires more than one argument\n"
msgstr "%s: Option erwartet ein Argument -- %c\n"
EOF
-tmpfiles="$tmpfiles msguniq-6.tmp msguniq-6.out"
: ${MSGUNIQ=msguniq}
-${MSGUNIQ} -o msguniq-6.tmp msguniq-6.in
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < msguniq-6.tmp > msguniq-6.out
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+${MSGUNIQ} -o msguniq-6.tmp msguniq-6.in || exit 1
+LC_ALL=C tr -d '\r' < msguniq-6.tmp > msguniq-6.out || exit 1
-tmpfiles="$tmpfiles msguniq-6.ok"
cat <<\EOF > msguniq-6.ok
msgid ""
msgstr ""
@@ -128,6 +120,4 @@ EOF
${DIFF} msguniq-6.ok msguniq-6.out
result=$?
-rm -fr $tmpfiles
-
exit $result